pcntl_wstopsig
POSIX
PCNTL Functions
PHP Manual

# pcntl_wtermsig

Returns the signal which caused the child to terminate

### Description

int pcntl_wtermsig ( int `$status` )

Returns the number of the signal that caused the child process to terminate. This function is only useful if pcntl_wifsignaled returned `TRUE`.

### Parameters

`status`

  The `status` parameter is the status parameter supplied to a successful call to pcntl_waitpid.

### Return Values

Returns the signal number, as an integer.

### See Also

- pcntl_waitpid
- pcntl_signal
- pcntl_wifsignaled